ros-rolling-mola-input-rosbag2 (2.7.0-1noble) noble; urgency=high

  * Merge pull request #128 <https://github.com/MOLAorg/mola/issues/128> from MOLAorg/feat/docs-cookbook
    Feat/docs cookbook
  * sanity checks; expand docs
  * Docs: explain more odometry source cases
  * rosbag2: Enable custom /tf names (e.g. for namespaces)
  * Merge pull request #121 <https://github.com/MOLAorg/mola/issues/121> from MOLAorg/fix/clean-up-old-mrpt-version-checks
    Clean up: remove old mrpt version fallback code sections
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Tue, 21 Apr 2026 22:00:00 -0000

ros-rolling-mola-input-rosbag2 (2.6.1-1noble) noble; urgency=high



 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Wed, 01 Apr 2026 22:00:00 -0000

ros-rolling-mola-input-rosbag2 (2.6.0-1noble) noble; urgency=high

  * Support Zstd-compressed rawlog files too
  * Merge pull request #108 <https://github.com/MOLAorg/mola/issues/108> from MOLAorg/feat/use-gps-msgs
    Support gps_msgs data types too for ROS2
  * Support gps_msgs as alternative to NavSatFix
  * Merge pull request #107 <https://github.com/MOLAorg/mola/issues/107> from MOLAorg/fix/viz-decay-clouds
    Fix/viz-decay-clouds
  * Update coyright notes
  * Merge pull request #106 <https://github.com/MOLAorg/mola/issues/106> from MOLAorg/refactor-rosbag2dataset
    Refactor code for handling sensors
  * Refactor code for handling sensors
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Wed, 11 Mar 2026 23:00:00 -0000

ros-rolling-mola-input-rosbag2 (2.5.0-1noble) noble; urgency=high

  * Merge pull request #105 <https://github.com/MOLAorg/mola/issues/105> from MOLAorg/feat/refactor-ros2-bridges
    Refactor to use external rosbag2 conversion in mrpt_ros_bridge
  * Refactor to use external rosbag2 conversion in mrpt_ros_bridge
  * Merge pull request #99 <https://github.com/MOLAorg/mola/issues/99> from MOLAorg/feat/ros2-bridge-pub-geographic
    ROS2 bridge: publish geographic poses too
  * ros2 bridge: use geographic_msgs, store the last georeference info internally, and publish georef poses
    merge of these commits:
    - Enable many more clang-tidy checks
    - lint clean
    - implement publishing georeferenced poses
    - mola-viz: fix potential crash on edge case with all points having NaN value
    - FIX: potential crash if no MapServer is present and map services are called
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Fri, 13 Feb 2026 23:00:00 -0000

ros-rolling-mola-input-rosbag2 (2.4.0-1noble) noble; urgency=high

  * Fix build against upcoming mrpt 2.15.4
  * prepare for mrpt 2.15.4
  * simplify destructors declarations
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Sat, 27 Dec 2025 23:00:00 -0000

ros-rolling-mola-input-rosbag2 (2.3.0-1noble) noble; urgency=high

  * Import all pcd fields from ros2 messages using CGenericPointsMap
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Sun, 14 Dec 2025 23:00:00 -0000

ros-rolling-mola-input-rosbag2 (2.2.1-1noble) noble; urgency=high



 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Fri, 07 Nov 2025 23:00:00 -0000

ros-rolling-mola-input-rosbag2 (2.2.0-1noble) noble; urgency=high

  * format
  * Upgrade to use the upcoming MRPT 2.15 API for CGenericsPointsMap
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Mon, 27 Oct 2025 23:00:00 -0000

ros-rolling-mola-input-rosbag2 (2.1.0-1noble) noble; urgency=high



 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Sun, 19 Oct 2025 22:00:00 -0000

ros-rolling-mola-input-rosbag2 (2.0.0-1noble) noble; urgency=high

  * fix clang-format
  * Modernize copyright notice
  * fix clang-format
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Sun, 12 Oct 2025 22:00:00 -0000

ros-rolling-mola-input-rosbag2 (1.9.1-1noble) noble; urgency=high

  * fix build against latest tf2
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Sun, 06 Jul 2025 22:00:00 -0000

ros-rolling-mola-input-rosbag2 (1.9.0-1noble) noble; urgency=high

  * Fix usage of mola_version_to_hexadecimal()
  * cmake: replace local mrpt_version_to_hex() with new mrpt_common mola_version_to_hexadecimal()
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Thu, 05 Jun 2025 22:00:00 -0000

ros-rolling-mola-input-rosbag2 (1.8.1-1noble) noble; urgency=high



 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Tue, 27 May 2025 22:00:00 -0000

ros-rolling-mola-input-rosbag2 (1.8.0-1noble) noble; urgency=high

  * remove useless commented out dependency
  * Update copyright year
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Sat, 24 May 2025 22:00:00 -0000

ros-rolling-mola-input-rosbag2 (1.7.0-1noble) noble; urgency=high



 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Mon, 05 May 2025 22:00:00 -0000

ros-rolling-mola-input-rosbag2 (1.6.4-1noble) noble; urgency=high

  * more clang-tidy fixes
  * fix: Correctly handling Livox cloud timestamps ("double"s, but in nanoseconds) in BridgeROS2 and bag2 data sources. They are automatically detected, no need to change any parameter.
  * modernize clang-format
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Tue, 22 Apr 2025 22:00:00 -0000

ros-rolling-mola-input-rosbag2 (1.6.3-1noble) noble; urgency=high

  * rosbag2 input: update C++ default value to "base_link" (all launch files were already like that, here only the default value changes)
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Fri, 14 Mar 2025 23:00:00 -0000

ros-rolling-mola-input-rosbag2 (1.6.2-1noble) noble; urgency=high



 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Fri, 21 Feb 2025 23:00:00 -0000

ros-rolling-mola-input-rosbag2 (1.6.1-1noble) noble; urgency=high



 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Wed, 12 Feb 2025 23:00:00 -0000

ros-rolling-mola-input-rosbag2 (1.6.0-1noble) noble; urgency=high



 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Mon, 20 Jan 2025 23:00:00 -0000

ros-rolling-mola-input-rosbag2 (1.5.1-1noble) noble; urgency=high



 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Sat, 28 Dec 2024 23:00:00 -0000

ros-rolling-mola-input-rosbag2 (1.5.0-1noble) noble; urgency=high



 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Wed, 25 Dec 2024 23:00:00 -0000

ros-rolling-mola-input-rosbag2 (1.4.1-1noble) noble; urgency=high



 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Thu, 19 Dec 2024 23:00:00 -0000

ros-rolling-mola-input-rosbag2 (1.4.0-1noble) noble; urgency=high



 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Tue, 17 Dec 2024 23:00:00 -0000

ros-rolling-mola-input-rosbag2 (1.3.0-1noble) noble; urgency=high

  * Fix typo in warning message
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Tue, 10 Dec 2024 23:00:00 -0000

ros-rolling-mola-input-rosbag2 (1.2.1-1noble) noble; urgency=high



 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Sat, 28 Sep 2024 22:00:00 -0000

ros-rolling-mola-input-rosbag2 (1.2.0-1noble) noble; urgency=high

  * Merge pull request #70 <https://github.com/MOLAorg/mola/issues/70> from MOLAorg/fix/rosbag2-memory-free
    BUGFIX: read ahead cache memory for rosbag2 was not freed
  * BUGFIX: read ahead cache memory for rosbag2 was not freed if invoked via Dataset access API only
  * sort <depend> entries
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Sun, 15 Sep 2024 22:00:00 -0000

ros-rolling-mola-input-rosbag2 (1.1.3-1noble) noble; urgency=high

  * Depend on new mrpt_lib packages (deprecate mrpt2)
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Tue, 27 Aug 2024 22:00:00 -0000

ros-rolling-mola-input-rosbag2 (1.1.2-1noble) noble; urgency=high

  * rosbag2 input: support for input directories for split bag datasets
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Sun, 25 Aug 2024 22:00:00 -0000

ros-rolling-mola-input-rosbag2 (1.1.1-1noble) noble; urgency=high



 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Thu, 22 Aug 2024 22:00:00 -0000

ros-rolling-mola-input-rosbag2 (1.1.0-1noble) noble; urgency=high

  * Merge pull request #62 <https://github.com/MOLAorg/mola/issues/62> from MOLAorg/docs-fixes
    Docs fixes
  * Fix ament_xmllint warnings in package.xml
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Sat, 17 Aug 2024 22:00:00 -0000

ros-rolling-mola-input-rosbag2 (1.0.8-1noble) noble; urgency=high

  * ament_lint_cmake: clean warnings
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Sun, 28 Jul 2024 22:00:00 -0000

ros-rolling-mola-input-rosbag2 (1.0.7-1noble) noble; urgency=high

  * Better warning messages related to missing /tf messages
  * Mechanism to replay datasets with mis-timestamped LiDARs
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Tue, 23 Jul 2024 22:00:00 -0000

ros-rolling-mola-input-rosbag2 (1.0.6-1noble) noble; urgency=high



 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Thu, 20 Jun 2024 22:00:00 -0000

ros-rolling-mola-input-rosbag2 (1.0.5-1noble) noble; urgency=high



 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Mon, 27 May 2024 22:00:00 -0000

ros-rolling-mola-input-rosbag2 (1.0.4-1noble) noble; urgency=high

  * bump cmake_minimum_required to 3.5
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Mon, 13 May 2024 22:00:00 -0000

ros-rolling-mola-input-rosbag2 (1.0.3-1noble) noble; urgency=high

  * FIXBUG: inverse sensor poses in rosbag2 reader.
    Also: unify notation in C++ calls to lookupTransform()
  * Fix package.xml website URL
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Sun, 21 Apr 2024 22:00:00 -0000

ros-rolling-mola-input-rosbag2 (1.0.2-1noble) noble; urgency=high



 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Wed, 03 Apr 2024 22:00:00 -0000

ros-rolling-mola-input-rosbag2 (1.0.1-1noble) noble; urgency=high

  * BUGFIX: Inverted value of "use_fixed_sensor_pose" was used
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Wed, 27 Mar 2024 23:00:00 -0000

ros-rolling-mola-input-rosbag2 (1.0.0-1noble) noble; urgency=high

  * tolerate missing tf data temporarily
  * Merge ROS2 input and output in one module
  * Add use_fixed_sensor_pose flag
  * Fix ROS2 sensorPose from /tf data
  * Fix jump forward in time in rosbags
  * Implement UI Dataset in the rest of dataset sources
  * New option to shutdown automatically mola-cli after dataset ends
  * Automatic determination of storage id from file extension
  * Show dataset replay progress percent
  * Correct usage of mola:: namespace in cmake targets
  * copyright update
  * Hide ros2 dependencies from public .h
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Mon, 18 Mar 2024 23:00:00 -0000

ros-rolling-mola-input-rosbag2 (0.2.2-1noble) noble; urgency=high



 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Thu, 07 Sep 2023 22:00:00 -0000


